### Type parameters

- #### A

- #### B

- #### C

### Hierarchy

- TransactGetRequestBase
  - TransactGetRequest3

## Index

### Properties

- params

### Methods

- exec
- execFullResponse
- execNoMap
- forModel

## Properties

### params

params: TransactGetItemsInput

Inherited from TransactGetRequestBase.params

- Defined in dynamo/transactget/transact-get.request.type.ts:7

## Methods

### exec

- exec(): Observable<[A, B, C]>

- - Defined in dynamo/transactget/transact-get.request.type.ts:32

  #### Returns Observable<[A, B, C]>

### execFullResponse

- execFullResponse(): Observable<TransactGetFullResponse<[A, B, C]>>

- - Defined in dynamo/transactget/transact-get.request.type.ts:30

  #### Returns Observable<TransactGetFullResponse<[A, B, C]>>

### execNoMap

- execNoMap(): Observable<TransactGetItemsOutput>

- Inherited from TransactGetRequestBase.execNoMap

  - Defined in dynamo/transactget/transact-get.request.type.ts:8

  #### Returns Observable<TransactGetItemsOutput>

### forModel

- forModel<D>(modelClazz: ModelConstructor<D>, key: Partial<D>): TransactGetRequest4<A, B, C, D>

- - Defined in dynamo/transactget/transact-get.request.type.ts:28

  #### Type parameters

  - #### D

  #### Parameters

  - ##### modelClazz: ModelConstructor<D>

  - ##### key: Partial<D>

  #### Returns TransactGetRequest4<A, B, C, D>

Generated using TypeDoc